<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
	<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<!DOCTYPE html>
<html lang="ja">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>○○掲示板 | お気に入りスレッド一覧
    </title>
    <!-- header.cssの読み込み -->
    <link href="css/header.css" rel="stylesheet" type="text/css" />
    <!-- BootstrapのCSS読み込み -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
        integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <!-- home.cssの読み込み -->
    <link href="css/home.css" rel="stylesheet" type="text/css" />
    
</head>

<body>
    <!-- ヘッダー -->
    <header>
        <nav class="navbar navbar-dark navbar-expand  flex-md-row justify-content-end header-one">
            <ul class="navbar-nav navbar-dark flex-row mr-auto header-two">
                <li class="nav-item active">
                    <!-- ページタイトル、スレッド一覧へのリンク -->
                    <a class="nav-link" href="ThreadListServlet">○○掲示板</a>
                </li>
            </ul>
              
            <ul class="navbar-nav flex-row">
                <!-- ログインユーザー名表示、更新ページへのリンク -->
                <li class="nav-item"><a class="nav-link" href="UserDetailServlet">${userInfo.name}さん</a></li>
                <!-- ログアウトリンク -->
                <li class="nav-item"><a class="nav-link" href="LogoutServlet">ログアウト</a>
                </li>
            </ul>
        </nav>
    </header>

    <div class="container">
        <div class="row">
            <div class="col">
                <h2 class="text-center">お気に入りスレッド一覧</h2>
            </div>
        </div>

                <!-- スレッド追加リンク-->
                <div class="text-right">
                    <div class="col-">
                        <a href="FavoriteDeleteServlet" class="btn btn-danger btn-lg form-submit">お気に入り全削除</a>
                    </div>
                </div>
            </div>
            </div>
        </div>

        <div class="row mt-3">
            <div class="col">
                <div class="card">
                    <table class="table">
                        <thead class="thead-light">
                            <tr>
                                <th>タイトル</th>
                                <th>コメント数</th>
                                <th>更新日</th>
                                <th></th>
                            </tr>
                        </thead>
                        <tbody>
                            <!-- スレッド表示用 for文 -->
                            <c:forEach var="thread" items="${threadList}">
                                <tr>
                                    <td class="col-9">
                                        <!-- スレッド表示・コメント投稿ページ リンク -->
                                        <a href="ThreadCommentServlet?id=${thread.id}"
                                            class="text-primary">${thread.title}</a>
                                    </td>
                                    <td class="col-2">${comment.number}</td>
                                    <!-- スレッド表示・コメント投稿ページ リンク -->
                                    <td>${thread.postDatetime}</td>
                                    <td class="text-right col-1">
                                            <!-- お気に入り削除ボタン -->
                                            <a type="button" class="btn btn-info"
                                                href="FavoriteServlet?id=${thread.id}">☆</a>
                                        </c:if>
                                    </td>
                                </tr>
                            </c:forEach>
                        </tbody>
                    </table>

                </div>
            </div>
        </div>
    </div>
</body>

</html>